FROM libervia/backend:dev

LABEL maintainer="Goffi <tmp_dockerfiles@goffi.org>"

USER root

# we install pre-generated demo certificates so they can be trusted
COPY --chown=root:root certificates/minica.pem /usr/local/share/ca-certificates/minica.crt
COPY --chown=root:tls-cert certificates/server1.test/cert.pem /usr/share/libervia/certificates/server1.test.pem
COPY --chown=root:tls-cert certificates/server1.test/key.pem /usr/share/libervia/certificates/server1.test-key.pem
RUN update-ca-certificates

COPY --chown=root:root libervia.conf /etc/libervia.conf

USER libervia

COPY --chown=libervia:libervia forums.json /home/libervia/
COPY --chown=libervia:libervia scripts/init_script.sh /home/libervia/

USER libervia
# HTTP Upload
EXPOSE 7777
